Bug 99250 - CSP source expressions should support paths at file-level granularity.
: CSP source expressions should support paths at file-level granularity.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebCore Misc.
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Mike West
: WebExposed
Depends on:
Blocks: 85558
  Show dependency treegraph
 
Reported: 2012-10-13 08:40 PDT by Mike West
Modified: 2012-10-15 10:33 PDT (History)
2 users (show)

See Also:


Attachments
Patch (10.66 KB, patch)
2012-10-13 08:49 PDT, Mike West
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike West 2012-10-13 08:40:02 PDT
As per https://dvcs.w3.org/hg/content-security-policy/rev/c29f8817f682, and discussion at http://lists.w3.org/Archives/Public/public-webappsec/2012Sep/0099.html:

* 'example.com/js' matches a file named 'js'
* 'example.com/js/' matches all files under a directory named 'js' (note the trailing slash)
* 'example.com/js/file.js' matches only a file named 'file.js' inside a directory named 'js'
Comment 1 Mike West 2012-10-13 08:49:18 PDT
Created attachment 168555 [details]
Patch
Comment 2 Adam Barth 2012-10-14 22:58:30 PDT
This seems like a good resolution.
Comment 3 Mike West 2012-10-14 23:59:12 PDT
Comment on attachment 168555 [details]
Patch

Thanks, throwing this in the queue.
Comment 4 WebKit Review Bot 2012-10-15 10:33:14 PDT
Comment on attachment 168555 [details]
Patch

Clearing flags on attachment: 168555

Committed r131317: <http://trac.webkit.org/changeset/131317>
Comment 5 WebKit Review Bot 2012-10-15 10:33:17 PDT
All reviewed patches have been landed.  Closing bug.